## unicycler 0.4.7+dfsg

=== debian/changelog ===
unicycler (0.4.7+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Add manpages

  [ Liubov Chuprikova ]
  * Add autopkgtest
  * Split data files and docs in unicycler-data

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Wed, 24 Oct 2018 09:04:28 +0200

unicycler (0.4.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #908599)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 27 Sep 2018 15:46:18 +0200
