=== debian/control ===
Source: unicycler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Liubov Chuprikova <chuprikovalv@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               default-jdk,
               bowtie2,
               ncbi-blast+,
               pilon,
               racon,
               samtools,
               spades,
               libseqan2-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/unicycler
Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
Homepage: https://github.com/rrwick/Unicycler

Package: unicycler
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-setuptools,
         default-jre,
         bowtie2,
         ncbi-blast+,
         pilon,
         racon,
         samtools,
         spades
Recommends: unicycler-data
Description: hybrid assembly pipeline for bacterial genomes
 Unicycler is an assembly pipeline for bacterial genomes. It can assemble
 Illumina-only read sets where it functions as a SPAdes-optimiser. It can
 also assembly long-read-only sets (PacBio or Nanopore) where it runs a
 miniasm+Racon pipeline. For the best possible assemblies, give it both
 Illumina reads and long reads, and it will conduct a hybrid assembly.

Package: unicycler-data
Architecture: all
Depends: ${misc:Depends}
Description: hybrid assembly pipeline for bacterial genomes (data package)
 Unicycler is an assembly pipeline for bacterial genomes. It can assemble
 Illumina-only read sets where it functions as a SPAdes-optimiser. It can
 also assembly long-read-only sets (PacBio or Nanopore) where it runs a
 miniasm+Racon pipeline. For the best possible assemblies, give it both
 Illumina reads and long reads, and it will conduct a hybrid assembly.
 .
 This package contains architecture independent data for unicycler.
