## unicycler 0.4.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,22 @@
            Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                default-jdk,
+               bcftools,
                bowtie2,
+               miniasm,
                ncbi-blast+,
                pilon,
                racon,
                samtools,
-               spades,
+               spades (>= 3.13.1),
                libseqan2-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/unicycler
 Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
 Homepage: https://github.com/rrwick/Unicycler
@@ -29,12 +31,14 @@
          ${misc:Depends},
          python3-setuptools,
          default-jre,
+         bcftools,
          bowtie2,
+         miniasm,
          ncbi-blast+,
          pilon,
          racon,
          samtools,
-         spades
+         spades (>= 3.13.1)
 Recommends: unicycler-data
 Description: hybrid assembly pipeline for bacterial genomes
  Unicycler is an assembly pipeline for bacterial genomes. It can assemble
@@ -45,6 +49,7 @@
 
 Package: unicycler-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: hybrid assembly pipeline for bacterial genomes (data package)
  Unicycler is an assembly pipeline for bacterial genomes. It can assemble
