## unicycler 0.4.8+dfsg

=== debian/changelog ===
unicycler (0.4.8+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:36 +0100

unicycler (0.4.8+dfsg-2) unstable; urgency=medium

  * Autopkgtest: Restrictions: skip-not-installable
    Closes: #945372
  * Remove patches bowtie.patch that are missing from
    debian/patches/series.
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2019 09:22:18 +0100

unicycler (0.4.8+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Inherit and use LDFLAGS and CPPFLAGS
  * Mark unicycler-data as Multi-Arch: foreign, as recommended by the
    Multiarch hinter.

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.
  * (Build-)Depends: bcftools, miniasm
  * Versioned (Build-)Depends of Python3 enabled spades

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 16:48:24 +0100
