=== debian/tests/control ===
Tests: run-unit-test
Depends: @, @builddeps@
Restrictions: allow-stderr, skip-not-installable
