## unicycler 0.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,26 @@
            Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-               default-jdk,
+               default-jdk <!nocheck>,
                bcftools,
-               bowtie2,
+               bowtie2 <!nocheck>,
                miniasm,
-               ncbi-blast+,
-               pilon,
+               ncbi-blast+ <!nocheck>,
+               pilon <!nocheck>,
                racon,
-               samtools,
-               spades (>= 3.13.1),
+               samtools <!nocheck>,
+               spades (>= 3.14),
                libseqan2-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/unicycler
 Vcs-Git: https://salsa.debian.org/med-team/unicycler.git
 Homepage: https://github.com/rrwick/Unicycler
+Rules-Requires-Root: no
 
 Package: unicycler
 Architecture: any
@@ -38,7 +39,7 @@
          pilon,
          racon,
          samtools,
-         spades (>= 3.13.1)
+         spades (>= 3.14)
 Recommends: unicycler-data
 Description: hybrid assembly pipeline for bacterial genomes
  Unicycler is an assembly pipeline for bacterial genomes. It can assemble
