## unicycler 0.5.0+dfsg

=== debian/changelog ===
unicycler (0.5.0+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Adjust versioned dependency spades (>= 3.14)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 16:17:17 +0100
