=== debian/changelog ===
unicycler (0.5.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-setuptools from runtime deps

  [ Étienne Mollier ]
  * leftover-syntax-warnings.patch: declare forwarding upstream.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Feb 2025 21:27:11 +0100

unicycler (0.5.1+dfsg-1.1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * salsa ci: skip i386

  [ Étienne Mollier ]
  * spades.patch: unfuzz hunk with offset.
  * d/clean: new: remove leftover .pybuild and egg info. (Closes: #1048635)
  * leftover-syntax-warnings.patch: fix remaining SyntaxWarnings.
    (Closes: #1087157)
  * d/patches/*: normalize last-update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 Dec 2024 22:50:24 +0100

unicycler (0.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Forwarded one patch upstream, marked the rest as not needing forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 13:55:49 +0100
